Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class TaskCommand<T>

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<T>

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<T>, Command<T>

Direct Known Subclasses:
  AddContentCommand, AddGroupCommand, AddUserCommand, AddUsersGroupsCommand, ArchiveTasksCommand, CompositeCommand, DeleteAttachmentCommand, DeleteAuditEventsCommand, DeleteBAMTaskSummariesCommand, DeleteCommentCommand, DeleteContentCommand, DeployTaskDefCommand, ExecuteDeadlinesCommand, ExecuteTaskRulesCommand, GetActiveTasksCommand, GetAllAttachmentsCommand, GetAllCommentsCommand, GetAllContentCommand, GetAllHistoryAuditTasksByUserCommand, GetAllHistoryAuditTasksCommand, GetAllTaskDefinitionsCommand, GetArchivedTasksCommand, GetAttachmentCommand, GetAuditEventsByProcessInstanceIdCommand, GetAuditEventsCommand, GetBAMTaskSummariesCommand, GetCommentCommand, GetCompletedTasksByUserCommand, GetCompletedTasksCommand, GetContentCommand, GetCurrentTxTasksCommand, GetGroupCommand, GetGroupsCommand, GetOrgEntityCommand, GetPendingSubTasksCommand, GetPendingTasksByUserCommand, GetPotentialOwnersForTaskCommand, GetTaskAssignedByGroupsCommand, GetTaskByWorkItemIdCommand, GetTaskCommand, GetTaskContentCommand, GetTaskDefinitionCommand, GetTasksByProcessInstanceIdCommand, GetTasksByStatusByProcessInstanceIdCommand, GetTasksForProcessCommand, GetUserCommand, GetUserInfoCommand, GetUsersCommand, InitDeadlinesCommand, RemoveAllTasksCommand, RemoveGroupCommand, RemoveTasksCommand, RemoveUserCommand, UndeployTaskDefCommand, UserGroupCallbackTaskCommand

    public abstract class TaskCommand<T>

extends Object
implements org.drools.core.command.impl.GenericCommand<T>

See Also:
  Serialized Form

Field Summary
`static int` | `DESCRIPTION_PROPERTY`
`static int` | `EXPIRATION_DATE_PROPERTY`
`static int` | `FAULT_PROPERTY`
`protected List<String>` | `groupIds`
`static int` | `OUTPUT_PROPERTY`
`static int` | `PRIORITY_PROPERTY`
`static int` | `SKIPPABLE_PROPERTY`
`static int` | `SUB_TASK_STRATEGY_PROPERTY`
`protected String` | `targetEntityId`
`static int` | `TASK_NAMES_PROPERTY`
`protected Long` | `taskId`
`protected String` | `userId`

Constructor Summary
`TaskCommand()`

Method Summary
`List<String>` | `getGroupsIds()`
`String` | `getTargetEntityId()`
`Long` | `getTaskId()`
`String` | `getUserId()`
`void` | `setGroupsIds(List<String> groupsIds)`
`void` | `setTargetEntityId(String targetEntityId)`
`void` | `setTaskId(Long taskId)`
`void` | `setUserId(String userId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.command.impl.GenericCommand
`execute`

Field Detail

### FAULT_PROPERTY

    public static final int FAULT_PROPERTY

See Also:
  Constant Field Values

### OUTPUT_PROPERTY

    public static final int OUTPUT_PROPERTY

See Also:
  Constant Field Values

### PRIORITY_PROPERTY

    public static final int PRIORITY_PROPERTY

See Also:
  Constant Field Values

### TASK_NAMES_PROPERTY

    public static final int TASK_NAMES_PROPERTY

See Also:
  Constant Field Values

### EXPIRATION_DATE_PROPERTY

    public static final int EXPIRATION_DATE_PROPERTY

See Also:
  Constant Field Values

### DESCRIPTION_PROPERTY

    public static final int DESCRIPTION_PROPERTY

See Also:
  Constant Field Values

### SKIPPABLE_PROPERTY

    public static final int SKIPPABLE_PROPERTY

See Also:
  Constant Field Values

### SUB_TASK_STRATEGY_PROPERTY

    public static final int SUB_TASK_STRATEGY_PROPERTY

See Also:
  Constant Field Values

### taskId

    protected Long taskId

### userId

    protected String userId

### groupIds

    protected List<String> groupIds

### targetEntityId

    protected String targetEntityId

Constructor Detail

### TaskCommand

    public TaskCommand()

Method Detail

### getTaskId

    public Long getTaskId()

### setTaskId

    public final void setTaskId(Long taskId)

### getUserId

    public final String getUserId()

### setUserId

    public final void setUserId(String userId)

### getGroupsIds

    public final List<String> getGroupsIds()

### setGroupsIds

    public final void setGroupsIds(List<String> groupsIds)

### getTargetEntityId

    public final String getTargetEntityId()

### setTargetEntityId

    public final void setTargetEntityId(String targetEntityId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.